<?xml version="1.0" encoding="UTF-8" ?>
<ExtensionManifest Version="5.0" ExtensionBundleId="com.aescripts.datamosh" ExtensionBundleVersion="1.1.5"
                   ExtensionBundleName="Datamosh" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <ExtensionList>
        <Extension Id="com.aescripts.datamosh.panel" Version="1.1.5" />
        <Extension Id="com.aescripts.datamosh.tutorial" Version="1.1.5" />
        <Extension Id="com.aescripts.datamosh.about" Version="2.0.2" />
    </ExtensionList>

    <ExecutionEnvironment>
        <HostList>
            <Host Name="AEFT" Version="13.0" />
        </HostList>
        <LocaleList>
            <Locale Code="All" />
        </LocaleList>
        <RequiredRuntimeList>
            <RequiredRuntime Name="CSXS" Version="5.0" />
        </RequiredRuntimeList>
    </ExecutionEnvironment>
    <DispatchInfoList>
        <Extension Id="com.aescripts.datamosh.panel">
            <DispatchInfo>
                <Resources>
                    <MainPath>./panel/index.html</MainPath>
                    <ScriptPath>./panel/panel.jsx</ScriptPath>
                    <CEFCommandLine>
                        <Parameter>--enable-nodejs</Parameter>
                        <Parameter>--allow-file-access-from-files</Parameter>
                        <Parameter>--allow-file-access</Parameter>
                    </CEFCommandLine>
                </Resources>
                <Lifecycle>
                    <AutoVisible>true</AutoVisible>
                </Lifecycle>
                <UI>
                    <Type>Panel</Type>
                    <Menu>Datamosh</Menu>
                    <Geometry>
                        <Size>
                            <Height>300</Height>
                            <Width>300</Width>
                        </Size>
                    </Geometry>
                </UI>
            </DispatchInfo>
        </Extension>
        <Extension Id="com.aescripts.datamosh.tutorial">
            <DispatchInfo>
                <Resources>
                    <MainPath>./panel/tutorial.html</MainPath>
                    <CEFCommandLine>
                        <Parameter>--enable-nodejs</Parameter>
                        <Parameter>--allow-file-access-from-files</Parameter>
                        <Parameter>--allow-file-access</Parameter>
                    </CEFCommandLine>
                </Resources>
                <Lifecycle>
                    <AutoVisible>true</AutoVisible>
                </Lifecycle>
                <UI>
                    <Type>Modeless</Type>
                    <Geometry>
                        <Size>
                            <Height>430</Height>
                            <Width>775</Width>
                        </Size>
                        <MaxSize>
                            <Height>430</Height>
                            <Width>775</Width>
                        </MaxSize>
                        <MinSize>
                            <Height>430</Height>
                            <Width>775</Width>
                        </MinSize>
                    </Geometry>
                </UI>
            </DispatchInfo>
        </Extension>
        <Extension Id="com.aescripts.datamosh.about">
            <DispatchInfo>
                <Resources>
                    <MainPath>./dialog/dialog.html</MainPath>
                    <CEFCommandLine>
                        <Parameter>--enable-nodejs</Parameter>
                        <Parameter>--allow-file-access-from-files</Parameter>
                        <Parameter>--allow-file-access</Parameter>
                    </CEFCommandLine>
                </Resources>
                <Lifecycle>
                    <AutoVisible>true</AutoVisible>
                </Lifecycle>
                <UI>
                    <Type>Modeless</Type>
                    <Geometry>
                        <Size>
                            <Height>440</Height>
                            <Width>350</Width>
                        </Size>
                        <MaxSize>
                            <Height>500</Height>
                            <Width>350</Width>
                        </MaxSize>
                        <MinSize>
                            <Height>100</Height>
                            <Width>350</Width>
                        </MinSize>
                    </Geometry>
                </UI>
            </DispatchInfo>
        </Extension>
    </DispatchInfoList>
</ExtensionManifest>
